Description

| tried to test this plugin (as others like google ads, project sidebar, ... ) in redmine 1.2.0 development environemnt

| get this error:

ArgumentError in AdvertisementsController#new
A copy of ApplicationController has been removed from the module tree but is still active!

-- follow trace details, see attached file

| got a similar error also for other plugins, so | decided to not test them in production env

Suggestions are welcome

History

#1 - 21 Jul 2011 08:05 - Andriy Lesyuk

- Status changed from New to Open

#2 - 21 Jul 2011 08:40 - Andriy Lesyuk

Accordingly to Google this should only happen in dev env...

#3 - 21 Jul 2011 08:41 - Andriy Lesyuk

Some links (adding them here for myself mostly ):

e http://stackoverflow.com/questions/1242559/a-copy-of-applicationcontroller-has-been-removed-from-the-module-tree-but-is-stil
e https://projects.littlestreamsoftware.com/issues/2352

e http://strd6.com/2009/04/cant-dup-nilclass-maybe-try-unloadable/

#4 - 09 Sep 2011 11:24 - Andriy Lesyuk

- Status changed from Open to In Progress

- Assignee set to Andriy Lesyuk

- % Done changed from 0 to 50

Tested the plugin under Redmine 1.2.x (current stable)... Works fine!
The bug in development environment is not the plugin’s bug but Rails’.

Going to close this issue unless you provide another info... Thanks!

#5 - 09 Sep 2011 12:31 - Pierluigi Soana
http://stackoverflow.com/questions/1242559/a-copy-of-applicationcontroller-has-been-removed-from-the-module-tree-but-is-stil
https://projects.littlestreamsoftware.com/issues/2352
http://strd6.com/2009/04/cant-dup-nilclass-maybe-try-unloadable/

| tried, but the development env give the usual error

What can be done with Ruby ?

#6 - 09 Sep 2011 13:44 - Andriy Lesyuk

| guess you use Rails 2.3.37.. | so you can update it.
You can also apply patch

You can also try adding unloadable into app/models/advertisement.rb:

class Advertisement < ActiveRecord::Base
unloadable # <-———————————————————
belongs_to :author, :class_name => 'User', :foreign_key => :author_id
belongs_to :project, :class_name => 'Project', :foreign_key => :not_for
has_many :keywords, :dependent => :delete_all

And into app/models/keyword.rb:

class Keyword < ActiveRecord::Base
unloadable # <-———————————————————
belongs_to :advertisement, :class_name => 'Advertisement',6 :foreign_key => :advertisement_id

#7 - 09 Sep 2011 13:52 - Pierluigi Soana
We use rails 2.3.5

#8 - 09 Sep 2011 13:58 - Andriy Lesyuk

Could you please try adding unloadable?

#9 - 09 Sep 2011 14:03 - Pierluigi Soana

| tried just now, patch included, but nothing changed

#10 - 09 Sep 2011 14:29 - Pierluigi Soana

| tried very quickly in production env, and it works (and it works well: you made a very good job).

My main observation is that the tool will be more helpful if a advertisement could be global or enabled on a per-project base: instead of non-enabling a
single project, it'd better to mark all allowed projects

(or all projects)

This comes from the way we are using redmine, where different work groups work in different project spaces, with some people accessing only public
https://github.com/rails/rails/commit/d37ac7958fc88fdbf37a8948102f6b4e45c530b3

spaces: not all could be interested into all advertisement.

#11 - 09 Sep 2011 14:39 - Andriy Lesyuk

Thanks! | greatly appreciate your feedback!

| thought about the change in projects “visibility”... Perhaps will do this in next version!

#12 - 09 Sep 2011 15:32 - Andriy Lesyuk
- Due date set to 09 Sep 2011

- Status changed from In Progress to Won't Fix

So | close this issue.

Created an issue for project configuration: #1843. Feel free to comment. Thanks.

Files

log.txt 6.14 KB 21 Jul 2011 Pierluigi Soana
